Qwt User's Guide: QwtAbstractSeriesStore Class Reference

Qwt User's Guide 6.1.2

- Main Page
- Related Pages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Functions Variables Typedefs Enumerations Enumerator Pages
Protected Member Functions | List of all members
QwtAbstractSeriesStore Class Referenceabstract

Bridge between QwtSeriesStore and QwtPlotSeriesItem. More...

`#include <qwt_series_store.h>`

Inheritance diagram for QwtAbstractSeriesStore:
[legend]

## Protected Member Functions

virtual | ~QwtAbstractSeriesStore ()
| Destructor.
virtual void | dataChanged ()=0
| dataChanged() indicates, that the series has been changed.
virtual void | setRectOfInterest (const QRectF &)=0
virtual QRectF | dataRect () const =0
virtual size_t | dataSize () const =0

## Detailed Description

Bridge between QwtSeriesStore and QwtPlotSeriesItem.

QwtAbstractSeriesStore is an abstract interface only to make it possible to isolate the template based methods ( QwtSeriesStore ) from the regular methods ( QwtPlotSeriesItem ) to make it possible to derive from QwtPlotSeriesItem without any hassle with templates.

## Member Function Documentation

virtual QRectF QwtAbstractSeriesStore::dataRect | ( |  | ) | const

protectedpure virtual

Returns
  Bounding rectangle of the stored series

Implemented in QwtSeriesStore< T >, QwtSeriesStore< QwtIntervalSample >, QwtSeriesStore< QwtOHLCSample >, QwtSeriesStore< QPointF >, QwtSeriesStore< QwtSetSample >, and QwtSeriesStore< QwtPoint3D >.

virtual size_t QwtAbstractSeriesStore::dataSize | ( |  | ) | const

protectedpure virtual

Returns
  Number of samples

Implemented in QwtSeriesStore< T >, QwtSeriesStore< QwtIntervalSample >, QwtSeriesStore< QwtOHLCSample >, QwtSeriesStore< QPointF >, QwtSeriesStore< QwtSetSample >, and QwtSeriesStore< QwtPoint3D >.

virtual void QwtAbstractSeriesStore::setRectOfInterest | ( | const QRectF & |  | ) |

protectedpure virtual

Set a the "rectangle of interest" for the stored series

See Also
  QwtSeriesData<T>::setRectOfInterest()

Implemented in QwtSeriesStore< T >, QwtSeriesStore< QwtIntervalSample >, QwtSeriesStore< QwtOHLCSample >, QwtSeriesStore< QPointF >, QwtSeriesStore< QwtSetSample >, and QwtSeriesStore< QwtPoint3D >.